字體:  

在 AWS AMI EC2安裝 mysql 5.7的版本

altis 發表於: 2019-7-02 10:03 來源: ADJ網路控股集團


一開始試著要安裝mysql 5.7時,一直會出現Error

QUOTE:

Error: Package: mysql-community-server-5.7.26-1.el7.x86_64 (mysql57-community)
           Requires: systemd
Error: Package: mysql-community-server-5.7.26-1.el7.x86_64 (mysql57-community)
           Requires: libsasl2.so.3()(64bit)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
後來找了很久...終於發現原來在2017之後, Amazon has provided a compatible MySQL 5.7 package.

所以安裝變得很簡單,步驟如下:

# yum install mysql57-server

這樣就裝好啦...
以上指令會安裝 MySQL Server 及它需要的套件。安裝好 MySQL 後, 可以啟動 MySQL:
# service mysqld start

然後執行以下指令修改:
# /usr/bin/mysql_secure_installation

完成 mysql_secure_installation 的問題後, 可以嘗試連線 MySQL:
# mysql -u root -p

如果可以連接 MySQL 便安裝完成了。